Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class Window

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.Component
                  com.gwtext.client.widgets.BoxComponent
                      com.gwtext.client.widgets.Container
                          com.gwtext.client.widgets.Panel
                              com.gwtext.client.widgets.Window

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasWidgets, Observable, java.lang.Iterable

    public class Window

extends Panel

A specialized panel intended for use as an application window. Windows are floated and draggable by default, and also provide specific behavior like the ability to maximize and restore (with an event for * minimizing, since the minimize behavior is application-specific). Windows can also be linked to a WindowGroup or managed by the WindowManager to provide grouping, activation, to front/back and other application-specific behavior.

Nested Class Summary
`static class` | `Window.CloseAction`

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary
`static Window.CloseAction` | `CLOSE`
`static Window.CloseAction` | `HIDE`

Fields inherited from class com.gwtext.client.widgets.Component
`config, id`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`Window()` Create a new Window.
`Window(com.google.gwt.core.client.JavaScriptObject jsObj)`
`Window(java.lang.String title)` Create a new Window.
`Window(java.lang.String title, boolean modal, boolean resizable)` Create a new Window.
`Window(java.lang.String title, int width, int height)` Create a new Window.
`Window(java.lang.String title, int width, int height, boolean modal, boolean resizable)` Create a new Window.

Method Summary
`void` | `addListener(WindowListener listener)`
`void` | `alignTo(com.google.gwt.user.client.Element element, java.lang.String position, int[] offsetXY)` Aligns the window to the specified element.
`void` | `anchorTo(com.google.gwt.user.client.Element element, java.lang.String position, int[] offsetXY)` Anchors this window to another element and realigns it when the window is resized or scrolled.
`void` | `center()` Centers this window in the viewport
`void` | `close()` Closes the window, removes it from the DOM and destroys the window object.
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject config)`
`void` | `focus()` Focuses the window.
`protected com.google.gwt.core.client.JavaScriptObject` | `getConfigPrototype()`
`int` | `getExpandOnShow()` True to always expand the window when it is displayed, false to keep it in its current state (which may be collapsed) when displayed.
`WindowGroup` | `getManager()`
`int` | `getMinHeight()` The minimum height in pixels allowed for this window.
`int` | `getMinWidth()` The minimum width in pixels allowed for this window.
`java.lang.String` | `getResizeHandles()` The `Resizable` handles config string.
`java.lang.String` | `getXType()` Gets the xtype for this component as registered with ComponentMgr.
`void` | `hide()` Hides the window, setting it to invisible and applying negative offsets.
`boolean` | `isConstrain()` True to constrain the window to the viewport, false to allow it to fall outside of the viewport.
`boolean` | `isConstrainHeader()` True to constrain the window header to the viewport, allowing the window body to fall outside of the viewport, false to allow the header to fall outside the viewport.
`boolean` | `isDraggable()` True to allow the window to be dragged by the header bar, false to disable dragging.
`boolean` | `isMaximizable()` True to display the 'maximize' tool button and allow the user to maximize the window, false to hide the button and disallow maximizing the window.
`boolean` | `isMaximized()`
`boolean` | `isModal()` True to make the window modal and mask everything behind it when displayed, false to display it without restricting access to other UI elements.
`boolean` | `isPlain()` True to render the window body with a transparent background so that it will blend into the framing elements, false to add a lighter background color to visually highlight the body element and separate it more distinctly from the surrounding frame.
`boolean` | `isResizable()` True to allow user resizing at each edge and corner of the window, false to disable resizing.
`void` | `maximize()` Fits the window within its current container and automatically replaces the 'maximize' tool button with the 'restore' tool button.
`void` | `minimize()` Placeholder method for minimizing the window.
`void` | `restore()` Restores a maximized window back to its original size and position prior to being maximized and also replaces the 'restore' tool button with the 'maximize' tool button.
`void` | `setActive()` Makes this the active window by showing its shadow.
`void` | `setActive(boolean active)` Makes this the active window by showing its shadow, or deactivates it by hiding its shadow.
`void` | `setAnimateTarget(com.google.gwt.user.client.Element animateTarget)` Element from which the window should animate while opening.
`void` | `setAnimateTarget(java.lang.String animateTarget)` Id from which the window should animate while opening.
`void` | `setBaseCls(java.lang.String baseCls)` The base CSS class to apply to this panel's element.
`void` | `setClosable(boolean closable)` True to display the 'close' tool button and allow the user to close the window, false to hide the button and disallow closing the window.
`void` | `setCloseAction(Window.CloseAction closeAction)` The action to take when the close button is clicked.
`void` | `setConstrain(boolean constrain)` True to constrain the window to the viewport, false to allow it to fall outside of the viewport.
`void` | `setConstrainHeader(boolean constrainHeader)` True to constrain the window header to the viewport, allowing the window body to fall outside of the viewport, false to allow the header to fall outside the viewport.
`void` | `setDefaultButton(com.google.gwt.user.client.Element defaultButton)` The button that should focus when the window receives focus.
`void` | `setDefaultButton(int buttonIndex)` The button that should focus when the window receives focus.
`void` | `setDefaultButton(java.lang.String defaultButton)` The button that should focus when the window receives focus.
`void` | `setDraggable(boolean draggable)` True to allow the window to be dragged by the header bar, false to disable dragging.
`void` | `setExpandOnShow(boolean expandOnShow)` True to always expand the window when it is displayed, false to keep it in its current state (which may be collapsed) when displayed
`void` | `setManager(WindowGroup manager)` A reference to the WindowGroup that should manage this window (defaults to `WindowMgr`).
`void` | `setMaximizable(boolean maximizable)` True to display the 'maximize' tool button and allow the user to maximize the window, false to hide the button and disallow maximizing the window.
`void` | `setMinHeight(int minHeight)` The minimum height in pixels allowed for this window.
`void` | `setMinimizable(boolean minimizable)` True to display the 'minimize' tool button and allow the user to minimize the window, false to hide the button and disallow minimizing the window.
`void` | `setMinWidth(int minWidth)` The minimum width in pixels allowed for this window.
`void` | `setModal(boolean modal)` True to make the window modal and mask everything behind it when displayed, false to display it without restricting access to other UI elements.
`void` | `setPlain(boolean plain)` True to render the window body with a transparent background so that it will blend into the framing elements, false to add a lighter background color to visually highlight the body element and separate it more distinctly from the surrounding frame.
`void` | `setResizable(boolean resizable)` True to allow user resizing at each edge and corner of the window, false to disable resizing.
`void` | `setResizeHandles(java.lang.String resizeHandles)` A valid `Resizable` handles config string.
`void` | `show()` Shows the window, rendering it first if necessary, or activates it and brings it to front if hidden
`void` | `show(com.google.gwt.user.client.Element animationTarget)` Shows the window, rendering it first if necessary, or activates it and brings it to front if hidden
`void` | `show(java.lang.String animationTargetID)` Shows the window, rendering it first if necessary, or activates it and brings it to front if hidden
`void` | `toBack()` Sends this window to the back of (lower z-index than) any other visible windows
`void` | `toFront()` Brings this window to the front of any other visible windows
`void` | `toggleMaximize()` A shortcut method for toggling between maximize and restore based on the current maximized state of the window.

Methods inherited from class com.gwtext.client.widgets.Panel
`addButton, addListener, addTool, collapse, collapse, expand, expand, getBaseCls, getBody, getBodyStyle, getBodyWrap, getBottomToolbar, getCollapsedCls, getCollapseFirst, getFloating, getFooter, getFrameHeight, getFrameWidth, getHeader, getHtml, getIconCls, getInnerHeight, getInnerWidth, getMinButtonWidth, getShadowOffset, getTabCls, getTitle, getTopToolbar, getUpdateManager, isAnimCollapse, isAutoScroll, isBodyBorder, isBorder, isClosable, isCollapsed, isCollapsible, isFrame, isHeader, isHeaderAsText, isHideCollapseTool, isMaskDisabled, isShadow, isShim, isTitleCollapse, load, load, setAnimCollapse, setAutoLoad, setAutoLoad, setAutoScroll, setBodyBorder, setBodyStyle, setBorder, setBottomToolbar, setBottomToolbar, setBottomToolbar, setButtonAlign, setButtons, setCollapsed, setCollapsedCls, setCollapseFirst, setCollapsible, setContentEl, setFloating, setFooter, setFrame, setHeader, setHeaderAsText, setHideCollapseTool, setHtml, setIconCls, setMargins, setMargins, setMaskDisabled, setMinButtonWidth, setPaddings, setPaddings, setShadow, setShadow, setShadowOffset, setShim, setTabCls, setTitle, setTitle, setTitleCollapse, setTools, setTopToolbar, setTopToolbar, setTopToolbar, toggleCollapse, toggleCollapse`

Methods inherited from class com.gwtext.client.widgets.Container
`add, add, add, add, addListener, bubble, cascade, clear, doLayout, doLayout, findBy, findByID, findByType, getActiveItem, getActiveItemID, getAutoDestroy, getBufferResize, getComponent, getComponent, getComponents, getHideBorders, getItems, getLayout, getMonitorResize, insert, iterator, remove, remove, remove, remove, removeAll, removeAll, setActiveItem, setActiveItemID, setAutoDestroy, setBufferResize, setDefaults, setHideBorders, setLayout, setMonitorResize`

Methods inherited from class com.gwtext.client.widgets.BoxComponent
`addListener, doOnRender, doOnRender, getAutoHeight, getAutoWidth, getBox, getBox, getHeight, getPosition, getPosition, getSize, getWidth, setAutoHeight, setAutoWidth, setHeight, setHeight, setPagePosition, setPosition, setSize, setSize, setWidth, setWidth, syncSize, updateBox`

Methods inherited from class com.gwtext.client.widgets.Component
`addClass, addClassCreated, addEvent, addEvents, addListener, addListener, addListener, addPlugin, addStyleDependentName, addStyleName, afterRender, beforeDestroy, check, checkExtVer, cloneComponent, cloneComponent, cloneConfig, destroy, disable, enable, equals, error, findParentBy, findParentByType, fireEvent, focus, focus, getApplyTo, getAttribute, getAttributeAsBoolean, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAutoShow, getCls, getComponentJS, getConfig, getConfigAsString, getCtCls, getDisabledClass, getEl, getElement, getElement, getElement, getHideMode, getHideParent, getId, getItemId, getJsObj, getOffsetHeight, getOffsetWidth, getOrCreateJsObj, getOwnerContainer, getRenderTo, getStateEvents, getStateId, getXTypes, hashCode, initComponent, isCreated, isDisabled, isHidden, isRendered, isVisible, isXType, isXType, onDestroy, purgeListeners, removeClass, removeStyleDependentName, removeStyleName, render, render, render, render, render, render, resumeEvents, setApplyTo, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoEl, setAutoEl, setAutoShow, setCls, setCtCls, setDisabled, setDisabledClass, setEl, setEl, setElement, setHideMode, setHideParent, setId, setRenderTo, setRenderToID, setStateEvents, setStateId, setStyle, setStyle, setStyleName, setStylePrimaryName, setVisible, suspendEvents, toString`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, setElement, setPixelSize, setStyleName, setStyleName, setStylePrimaryName, setVisible, sinkEvents, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CLOSE

    public static Window.CloseAction CLOSE

### HIDE

    public static Window.CloseAction HIDE

Constructor Detail

### Window

    public Window()

  Create a new Window.

### Window

    public Window(java.lang.String title)

  Create a new Window.

  Parameters:
    `title` - the title

### Window

    public Window(java.lang.String title,
                  int width,
                  int height)

  Create a new Window.

  Parameters:
    `title` - the title
    `width` - the width
    `height` - the height

### Window

    public Window(java.lang.String title,
                  boolean modal,
                  boolean resizable)

  Create a new Window.

  Parameters:
    `title` - the title
    `modal` - true for modal
    `resizable` - true for resizable

### Window

    public Window(java.lang.String title,
                  int width,
                  int height,
                  boolean modal,
                  boolean resizable)

  Create a new Window.

  Parameters:
    `title` - the title
    `width` - the width
    `height` - the height
    `modal` - true for modal
    `resizable` - true for resizable

### Window

    public Window(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### getConfigPrototype

    protected com.google.gwt.core.client.JavaScriptObject getConfigPrototype()

  Overrides:
    `getConfigPrototype` in class `Panel`

### getXType

    public java.lang.String getXType()

  Description copied from class: `Component`
  Gets the xtype for this component as registered with ComponentMgr. For a list of all available xtypes, see the Component javadocs.

       TextField field = new TextField();
       field.getXType() returns "textfield"

  Overrides:
    `getXType` in class `Panel`
  Returns:
    the xtype

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject config)

  Overrides:
    `create` in class `Panel`

### alignTo

    public void alignTo(com.google.gwt.user.client.Element element,
                        java.lang.String position,
                        int[] offsetXY)

  Aligns the window to the specified element.

  Parameters:
    `element` - the element to align to
    `position` - the position to align to
    `offsetXY` - offset the positioning by [x, y]

### anchorTo

    public void anchorTo(com.google.gwt.user.client.Element element,
                         java.lang.String position,
                         int[] offsetXY)

  Anchors this window to another element and realigns it when the window is resized or scrolled.

  Parameters:
    `element` - the element to anchor to
    `position` - the position to anchor to
    `offsetXY` - offset the positioning by [x, y]

### center

    public void center()

  Centers this window in the viewport

### close

    public void close()

  Closes the window, removes it from the DOM and destroys the window object. The beforeclose event is fired before the close happens and will cancel the close action if it returns false.

### focus

    public void focus()

  Focuses the window. If a defaultButton is set `setDefaultButton(Element)`, it will receive focus, otherwise the window itself will receive focus.

  Overrides:
    `focus` in class `Component`

### hide

    public void hide()

  Hides the window, setting it to invisible and applying negative offsets.

  Overrides:
    `hide` in class `Component`

### maximize

    public void maximize()

  Fits the window within its current container and automatically replaces the 'maximize' tool button with the 'restore' tool button.

### minimize

    public void minimize()

  Placeholder method for minimizing the window. By default, this method simply fires the minimize event since the behavior of minimizing a window is application-specific. To implement custom minimize behavior, either the minimize event can be handled or this method can be overridden.

### restore

    public void restore()

  Restores a maximized window back to its original size and position prior to being maximized and also replaces the 'restore' tool button with the 'maximize' tool button.

### setActive

    public void setActive()

  Makes this the active window by showing its shadow. This method also fires the activate or deactivate event depending on which action occurred.

### setActive

    public void setActive(boolean active)

  Makes this the active window by showing its shadow, or deactivates it by hiding its shadow. This method also fires the activate or deactivate event depending on which action occurred.

  Parameters:
    `active` - true to activate the window, false to deactivate it (defaults to false)

### show

    public void show()

  Shows the window, rendering it first if necessary, or activates it and brings it to front if hidden

  Overrides:
    `show` in class `Component`

### show

    public void show(java.lang.String animationTargetID)

  Shows the window, rendering it first if necessary, or activates it and brings it to front if hidden

  Parameters:
    `animationTargetID` - The target element id from which the window should animate while opening

### show

    public void show(com.google.gwt.user.client.Element animationTarget)

  Shows the window, rendering it first if necessary, or activates it and brings it to front if hidden

  Parameters:
    `animationTarget` - The target element from which the window should animate while opening

### toBack

    public void toBack()

  Sends this window to the back of (lower z-index than) any other visible windows

### toFront

    public void toFront()

  Brings this window to the front of any other visible windows

### toggleMaximize

    public void toggleMaximize()

  A shortcut method for toggling between maximize and restore based on the current maximized state of the window.

### addListener

    public void addListener(WindowListener listener)

### setAnimateTarget

    public void setAnimateTarget(java.lang.String animateTarget)
                          throws java.lang.IllegalStateException

  Id from which the window should animate while opening.

  Parameters:
    `animateTarget` - By default the id is set to null and there is no animation
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setAnimateTarget

    public void setAnimateTarget(com.google.gwt.user.client.Element animateTarget)
                          throws java.lang.IllegalStateException

  Element from which the window should animate while opening.

  Parameters:
    `animateTarget` - By default the element is set to null and there is no animation.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setBaseCls

    public void setBaseCls(java.lang.String baseCls)
                    throws java.lang.IllegalStateException

  The base CSS class to apply to this panel's element.

  Overrides:
    `setBaseCls` in class `Panel`
  Parameters:
    `baseCls` - Defaults to 'x-window'
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setClosable

    public void setClosable(boolean closable)
                     throws java.lang.IllegalStateException

  True to display the 'close' tool button and allow the user to close the window, false to hide the button and disallow closing the window. The default value is true.

  Overrides:
    `setClosable` in class `Panel`
  Parameters:
    `closable` - true for closable
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setCloseAction

    public void setCloseAction(Window.CloseAction closeAction)

  The action to take when the close button is clicked. The default action is `CLOSE` which will actually remove the window from the DOM and destroy it. The other valid option is `HIDE` which will simply hide the window by setting visibility to hidden and applying negative offsets, keeping the window available to be redisplayed via the show method.

  Note: This property cannot be changed after the Component has been rendered.

  Parameters:
    `closeAction` - Defaults to CLOSE

### setConstrain

    public void setConstrain(boolean constrain)
                      throws java.lang.IllegalStateException

  True to constrain the window to the viewport, false to allow it to fall outside of the viewport. Default value is false. Optionally the header only can be constrained using `setConstrainHeader(boolean)`.

  Parameters:
    `constrain` - Defaults to false
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### isConstrain

    public boolean isConstrain()

  True to constrain the window to the viewport, false to allow it to fall outside of the viewport. Default value is false. Optionally the header only can be constrained using `setConstrainHeader(boolean)`.

  Returns:
    constrain Defaults to false

### setConstrainHeader

    public void setConstrainHeader(boolean constrainHeader)
                            throws java.lang.IllegalStateException

  True to constrain the window header to the viewport, allowing the window body to fall outside of the viewport, false to allow the header to fall outside the viewport. Optionally the entire window can be constrained using constrain.

  Parameters:
    `constrainHeader` - Defaults to false
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### isConstrainHeader

    public boolean isConstrainHeader()

  True to constrain the window header to the viewport, allowing the window body to fall outside of the viewport, false to allow the header to fall outside the viewport. Optionally the entire window can be constrained using constrain.

  Returns:
    constrainHeader Defaults to false

### setDefaultButton

    public void setDefaultButton(int buttonIndex)
                          throws java.lang.IllegalStateException

  The button that should focus when the window receives focus.

  Parameters:
    `buttonIndex` - the button index
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setDefaultButton

    public void setDefaultButton(java.lang.String defaultButton)
                          throws java.lang.IllegalStateException

  The button that should focus when the window receives focus.

  Parameters:
    `defaultButton` - the default button
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setDefaultButton

    public void setDefaultButton(com.google.gwt.user.client.Element defaultButton)
                          throws java.lang.IllegalStateException

  The button that should focus when the window receives focus.

  Parameters:
    `defaultButton` - the default button
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setDraggable

    public void setDraggable(boolean draggable)
                      throws java.lang.IllegalStateException

  True to allow the window to be dragged by the header bar, false to disable dragging. Note that by default the window will be centered in the viewport, so if dragging is disabled the window may need to be positioned programmatically after render (e.g., myWindow.setPosition(100, 100);).

  Overrides:
    `setDraggable` in class `Panel`
  Parameters:
    `draggable` - Defaults to true
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### isDraggable

    public boolean isDraggable()

  True to allow the window to be dragged by the header bar, false to disable dragging. Note that by default the window will be centered in the viewport, so if dragging is disabled the window may need to be positioned programmatically after render (e.g., myWindow.setPosition(100, 100);).

  Returns:
    draggable Defaults to true

### setExpandOnShow

    public void setExpandOnShow(boolean expandOnShow)
                         throws java.lang.IllegalStateException

  True to always expand the window when it is displayed, false to keep it in its current state (which may be collapsed) when displayed

  Parameters:
    `expandOnShow` - Defaults to true
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### getExpandOnShow

    public int getExpandOnShow()

  True to always expand the window when it is displayed, false to keep it in its current state (which may be collapsed) when displayed.

  Returns:
    expandOnShow Defaults to true

### setManager

    public void setManager(WindowGroup manager)

  A reference to the WindowGroup that should manage this window (defaults to `WindowMgr`).

  Parameters:
    `manager` - the window manager

### getManager

    public WindowGroup getManager()

### isMaximized

    public boolean isMaximized()

### setMaximizable

    public void setMaximizable(boolean maximizable)
                        throws java.lang.IllegalStateException

  True to display the 'maximize' tool button and allow the user to maximize the window, false to hide the button and disallow maximizing the window. Note that when a window is maximized, the tool button will automatically change to a 'restore' button with the appropriate behavior already built-in that will restore the window to its previous size.

  Parameters:
    `maximizable` - Defaults to false
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### isMaximizable

    public boolean isMaximizable()

  True to display the 'maximize' tool button and allow the user to maximize the window, false to hide the button and disallow maximizing the window. Note that when a window is maximized, the tool button will automatically change to a 'restore' button with the appropriate behavior already built-in that will restore the window to its previous size.

  Returns:
    maximizable Defaults to false

### setMinHeight

    public void setMinHeight(int minHeight)
                      throws java.lang.IllegalStateException

  The minimum height in pixels allowed for this window. Only applies when resizable = true.

  Parameters:
    `minHeight` - Defaults to 100 pixels
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### getMinHeight

    public int getMinHeight()

  The minimum height in pixels allowed for this window. Only applies when resizable = true.

  Returns:
    the minHeight Defaults to 100 pixels

### setMinWidth

    public void setMinWidth(int minWidth)
                     throws java.lang.IllegalStateException

  The minimum width in pixels allowed for this window. Only applies when resizable = true.

  Parameters:
    `minWidth` - Defaults to 200 pixels
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### getMinWidth

    public int getMinWidth()

  The minimum width in pixels allowed for this window. Only applies when resizable = true.

  Returns:
    the min width (Defaults to 200 pixels)

### setMinimizable

    public void setMinimizable(boolean minimizable)
                        throws java.lang.IllegalStateException

  True to display the 'minimize' tool button and allow the user to minimize the window, false to hide the button and disallow minimizing the window. Note that this button provides no implementation -- the behavior of minimizing a window is implementation-specific, so the minimize event must be handled and a custom minimize behavior implemented for this option to be useful.

  Parameters:
    `minimizable` - Defaults to false
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setModal

    public void setModal(boolean modal)
                  throws java.lang.IllegalStateException

  True to make the window modal and mask everything behind it when displayed, false to display it without restricting access to other UI elements.

  Parameters:
    `modal` - Defaults to false
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### isModal

    public boolean isModal()

  True to make the window modal and mask everything behind it when displayed, false to display it without restricting access to other UI elements.

  Returns:
    true if modal

### setPlain

    public void setPlain(boolean plain)
                  throws java.lang.IllegalStateException

  True to render the window body with a transparent background so that it will blend into the framing elements, false to add a lighter background color to visually highlight the body element and separate it more distinctly from the surrounding frame.

  Parameters:
    `plain` - Defaults to false
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### isPlain

    public boolean isPlain()

  True to render the window body with a transparent background so that it will blend into the framing elements, false to add a lighter background color to visually highlight the body element and separate it more distinctly from the surrounding frame.

  Returns:
    true if plain

### setResizable

    public void setResizable(boolean resizable)
                      throws java.lang.IllegalStateException

  True to allow user resizing at each edge and corner of the window, false to disable resizing.

  Parameters:
    `resizable` - Defaults to true
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### isResizable

    public boolean isResizable()

  True to allow user resizing at each edge and corner of the window, false to disable resizing.

  Returns:
    true to allow user resizing at each edge and corner of the window, false to disable resizing.

### setResizeHandles

    public void setResizeHandles(java.lang.String resizeHandles)
                          throws java.lang.IllegalStateException

  A valid `Resizable` handles config string. Only applies when resizable = true.

  Parameters:
    `resizeHandles` - Defaults to `Resizable.ALL`
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### getResizeHandles

    public java.lang.String getResizeHandles()

  The `Resizable` handles config string. Only applies when resizable = true.

  Returns:
    the resizable config string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD